Eclipse Platform Release 3.7

## org.eclipse.search.ui
Class SearchResultEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.search.ui.SearchResultEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FilterUpdateEvent, MatchEvent, RemoveAllEvent

    public abstract class SearchResultEvent

extends EventObject

The common superclass of all events sent from `ISearchResults`. This class is supposed to be subclassed to provide more specific notification.

Since:
  3.0
See Also:
  `ISearchResultListener.searchResultChanged(SearchResultEvent)`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`protected` `SearchResultEvent(ISearchResult searchResult)` Creates a new search result event for the given search result.

Method Summary
`ISearchResult` `getSearchResult()` Gets the `ISearchResult` for this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchResultEvent

    protected SearchResultEvent(ISearchResult searchResult)

  Creates a new search result event for the given search result.

  Parameters:
    `searchResult` - the source of the event

Method Detail

### getSearchResult

    public ISearchResult getSearchResult()

  Gets the `ISearchResult` for this event.

  Returns:
    the source of this event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.